Doomsday Engine - Bug #2222

Music not working right on Deathkings (1.0)
2017-03-30 08:57 - aha2940

Status: Closed Start date: 2017-03-30
Priority: Normal % Done: 0%
Assignee:

Category:

Target version:

Description

I am using Doomsday 2.0RC on Fedora 25. When | start deathkings of the dark citadel (Hexen expansion pack) the music plays
correctly on the menu screen (same music used for menu on Hexen) however when starting the game, there is no music. If | play
Hexen, the music is there.

Related issues:
Related to Feature #2053: [HeXen DK] Automatically handle version 1.0 lack of... New 2015-05-15

History

#1 - 2017-03-30 09:04 - skyjake
Please check which version of HEXDD.WAD you are using: http://doom.wikia.com/wiki/HEXDD.WAD

For me, the v1.1 WAD plays music as expected.

#2 - 2017-03-30 10:20 - vermil

Indeed, HeXen DK was accidently released with a lump missing from it's lwad, that meant no midi music worked (1.0). Raven proceeded to release a
patch that corrected this (1.1).

https://www.doomworld.com/idgames/idstuff/hexen/dkpatch

| admit that | haven't double checked/looked into it for a very long time, but in years past | often raised with Deng Team, the idea that DDay could
somehow automatically compensate for the lack of this lump in 1.0, as adding this lump is the only thing the 1.1 patch does (the rest of the Iwad is
completely unchanged).

#3 - 2017-03-31 07:41 - aha2940

| was indeed using version 1.0. Patched it and now it works fine. Thanks!

#4 - 2017-03-31 08:01 - skyjake
- Subject changed from Music not working right on Deathkings to Music not working right on Deathkings (1.0)

- Status changed from New to Closed

#5 - 2017-03-31 08:48 - skyjake

- Tags set to Hexen, Music

#6 - 2017-03-31 08:48 - skyjake

- Tags changed from Hexen, Music to Hexen, Music, Deathkings

#7 - 2017-04-03 18:45 - skyjake
- Related to Feature #2053: [HeXen DK] Automatically handle version 1.0 lack of SNDINFO added
